Bug 25654 - Make the contact and non-patron guarantor sections separate on patron entry form
Summary: Make the contact and non-patron guarantor sections separate on patron entry form
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
: 25742 (view as bug list)
Depends on: 14570
Blocks:
  Show dependency treegraph
 
Reported: 2020-06-02 14:03 UTC by Kelly McElligott
Modified: 2020-11-05 16:03 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
differences (159.46 KB, image/png)
2020-06-02 14:03 UTC, Kelly McElligott
Details
Bug 25654: Make the contact and non-patron guarantor sections separate on patron entry form (11.98 KB, patch)
2020-06-26 20:37 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25654: Make the contact and non-patron guarantor sections separate on patron entry form (12.10 KB, patch)
2020-06-26 23:40 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25654: Make the contact and non-patron guarantor sections separate on patron entry form (12.16 KB, patch)
2020-07-01 16:54 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 25654: Make the contact and non-patron guarantor sections separate on patron entry form (12.22 KB, patch)
2020-07-01 17:24 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 25654: Make the contact and non-patron guarantor sections separate on patron entry form (12.27 KB, patch)
2020-08-16 11:54 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kelly McElligott 2020-06-02 14:03:56 UTC
Created attachment 105490 [details]
differences

With the recent change of the Guarantors in Koha, the Contact section of the Patron Detail page (when editing) is confusing.  Prior to 19.11, the Contact section was created for the Contact details of the Patron, phone, email, fax.  Now in 19.11, the Guarantor (Non-Koha) has been added to the contact section, causing questions if this is the Guarantor's contact information or the primary patron's contact information.

It would be nice if there could be a separation of the two areas in the Koha patrons form (memberentry.pl) 

Attaching an image of the before 19.11 and 19.11 contact section.
Comment 1 Andrew Fuerste-Henry 2020-06-02 14:39:00 UTC
+1, this is confusing
Comment 2 Caroline Cyr La Rose 2020-06-25 21:52:02 UTC
+1 I agree that the non-patron Guarantor information should go in the 'Guarantor information' section rather than the 'Contact' section.

We could hide it behind a button. I would put a button next to the 'Search to add' button that says something like 'Guarantor is not a patron'. Or have it like pre-19.11 where the non-patron fields are always showing and you can click on 'Search to add' to fill them, but I admit that I didn't find that it was very intuitive...
Comment 3 Lisette Scheer 2020-06-25 21:54:29 UTC
+1 it seems like the non-patron Guarantor should be with patron Guarantors
Comment 4 Benjamin Daeuber 2020-06-26 16:48:15 UTC
Is the implication if we move those fields that the non-patron guarantors will not have contact information?
Comment 5 Caroline Cyr La Rose 2020-06-26 17:01:49 UTC
(In reply to Benjamin Daeuber from comment #4)
> Is the implication if we move those fields that the non-patron guarantors
> will not have contact information?

The contact information is that of the patron, not the guarantor. That is the main confusion reported by Kelly.

I also find it confusing to have a section named 'Guarantor information', and then other fields named 'Guarantor something' that are not in that section.
Comment 6 Benjamin Daeuber 2020-06-26 17:09:41 UTC
I guess my point is that (In reply to Caroline Cyr La Rose from comment #5)
> The contact information is that of the patron, not the guarantor. That is
> the main confusion reported by Kelly.
> 

I think we need additional contact fields if this is the case. A whole separate section for non-patron guarantor contact information labeled "Non-Patron Guarantor". Right now there is essentially one set of contact info and it appears like it could belong to the non-patron guarantor who doesn't actually have any contact info.
Comment 7 Caroline Cyr La Rose 2020-06-26 17:12:49 UTC
Pre-19.11, the alternate contact section would be used for that.

But I agree that yours is a good idea. That would mean moving the Alternate contact section to the 'Guarantor information' section and only making it appear if we choose 'Non-patron guarantor', I guess?
Comment 8 Benjamin Daeuber 2020-06-26 17:23:23 UTC
(In reply to Caroline Cyr La Rose from comment #7)
> Pre-19.11, the alternate contact section would be used for that.
> 
> But I agree that yours is a good idea. That would mean moving the Alternate
> contact section to the 'Guarantor information' section and only making it
> appear if we choose 'Non-patron guarantor', I guess?

We use the alternate contact for adults that have guarantors, but which we can't actually add guarantors to (which is a whole other issue). So I think we need a whole new set of contact information.

And I'm not sure of the original intent of the development, but as it stands now, I think this is a serious issue if we are indeed distinguishing between alternate contact and non-patron guarantor contact. And if we're not, why add the non-patron guarantor feature at all?
Comment 9 Caroline Cyr La Rose 2020-06-26 17:27:49 UTC
> And I'm not sure of the original intent of the development, but as it stands
> now, I think this is a serious issue if we are indeed distinguishing between
> alternate contact and non-patron guarantor contact. And if we're not, why
> add the non-patron guarantor feature at all?

Pre-19.11 we could add non-patron guarantors in the guarantor information (only first and last names). I think that's why we want to keep it.

I suggest you go give a +1 to bug 12446 which is to allow adults (or any patron category in fact) to have guarantors.
Comment 10 Benjamin Daeuber 2020-06-26 20:13:23 UTC
Is there a sense of who's using the alternate contact fields other than for guarantor information? We use the alternate address for college students and people who might own property in town but actually live out of town. We mostly use the alternate contact field as described above, but I would hate to shoehorn guarantor information into those fields if they are in use otherwise.
Comment 11 Owen Leonard 2020-06-26 20:21:21 UTC
Guarantors are usually assumed to be parents or guardians. That's why there is the option to show the guarantee's checkouts to the guarantor.

Having a separate alternate contact allows there to be a greater separation between the patron and the contact.
Comment 12 Owen Leonard 2020-06-26 20:37:43 UTC Comment hidden (obsolete)
Comment 13 Owen Leonard 2020-06-26 20:43:44 UTC
*** Bug 25742 has been marked as a duplicate of this bug. ***
Comment 14 Owen Leonard 2020-06-26 23:40:37 UTC
Created attachment 106355 [details] [review]
Bug 25654: Make the contact and non-patron guarantor sections separate on patron entry form

This patch reverses what I think was an unintended change made by Bug
14570 in which the non-patron guarantor fields are shown for all patron
types (not just child patrons) and  grouped with the patron contact fields.

This patch creates a new "Non-patron guarantor" fieldset to show along
with "Patron guarantor" when adding or editing child patrons.

To test, apply the patch check that the  BorrowerUnwantedField system
preference does not contain contactname, contactfirstname,
or relationship.

 - Open an adult patron for editing. You should see no guarantor-related
   fields.
 - Open a child patron for editing. There should be two guarantor
   sections: "Patron guarantor" and "Non-patron guarantor."
   - Test that adding patron guarantors and non-patron guarantors works
     correctly.
   - Add "contactname|contactfirstname|relationship" to the
     BorrowerUnwantedField system preference.
   - Reload the child patron entry form. The non-patron guarantor
     section should now be hidden.
Comment 15 Lucas Gass 2020-07-01 16:54:26 UTC
Created attachment 106456 [details] [review]
Bug 25654: Make the contact and non-patron guarantor sections separate on patron entry form

This patch reverses what I think was an unintended change made by Bug
14570 in which the non-patron guarantor fields are shown for all patron
types (not just child patrons) and  grouped with the patron contact fields.

This patch creates a new "Non-patron guarantor" fieldset to show along
with "Patron guarantor" when adding or editing child patrons.

To test, apply the patch check that the  BorrowerUnwantedField system
preference does not contain contactname, contactfirstname,
or relationship.

 - Open an adult patron for editing. You should see no guarantor-related
   fields.
 - Open a child patron for editing. There should be two guarantor
   sections: "Patron guarantor" and "Non-patron guarantor."
   - Test that adding patron guarantors and non-patron guarantors works
     correctly.
   - Add "contactname|contactfirstname|relationship" to the
     BorrowerUnwantedField system preference.
   - Reload the child patron entry form. The non-patron guarantor
     section should now be hidden.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 16 ByWater Sandboxes 2020-07-01 17:24:57 UTC
Created attachment 106457 [details] [review]
Bug 25654: Make the contact and non-patron guarantor sections separate on patron entry form

This patch reverses what I think was an unintended change made by Bug
14570 in which the non-patron guarantor fields are shown for all patron
types (not just child patrons) and  grouped with the patron contact fields.

This patch creates a new "Non-patron guarantor" fieldset to show along
with "Patron guarantor" when adding or editing child patrons.

To test, apply the patch check that the  BorrowerUnwantedField system
preference does not contain contactname, contactfirstname,
or relationship.

 - Open an adult patron for editing. You should see no guarantor-related
   fields.
 - Open a child patron for editing. There should be two guarantor
   sections: "Patron guarantor" and "Non-patron guarantor."
   - Test that adding patron guarantors and non-patron guarantors works
     correctly.
   - Add "contactname|contactfirstname|relationship" to the
     BorrowerUnwantedField system preference.
   - Reload the child patron entry form. The non-patron guarantor
     section should now be hidden.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Christopher Brannon <cbrannon@cdalibrary.org>
Comment 17 Christopher Brannon 2020-07-01 17:25:48 UTC
Clean and straight forward.  Thanks for fixing this!
Comment 18 Katrin Fischer 2020-08-16 11:54:17 UTC
Created attachment 108363 [details] [review]
Bug 25654: Make the contact and non-patron guarantor sections separate on patron entry form

This patch reverses what I think was an unintended change made by Bug
14570 in which the non-patron guarantor fields are shown for all patron
types (not just child patrons) and  grouped with the patron contact fields.

This patch creates a new "Non-patron guarantor" fieldset to show along
with "Patron guarantor" when adding or editing child patrons.

To test, apply the patch check that the  BorrowerUnwantedField system
preference does not contain contactname, contactfirstname,
or relationship.

 - Open an adult patron for editing. You should see no guarantor-related
   fields.
 - Open a child patron for editing. There should be two guarantor
   sections: "Patron guarantor" and "Non-patron guarantor."
   - Test that adding patron guarantors and non-patron guarantors works
     correctly.
   - Add "contactname|contactfirstname|relationship" to the
     BorrowerUnwantedField system preference.
   - Reload the child patron entry form. The non-patron guarantor
     section should now be hidden.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Christopher Brannon <cbrannon@cdalibrary.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 19 Katrin Fischer 2020-08-16 11:54:46 UTC
I really like this change, thx Owen!
Comment 20 Jonathan Druart 2020-08-18 15:46:36 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 21 Lucas Gass 2020-09-04 15:29:27 UTC
enhancement will not be backported to 20.05.x
Comment 22 Didier Gautheron 2020-11-05 16:03:26 UTC
Hi,

Is it possible to backport this one to 19.11? It's really confusing staff members and I think I have a working patch